Package twisted :: Package web :: Module proxy :: Class ReverseProxy

[show private | hide private]
[frames | no frames]

## Class ReverseProxy

    BaseProtocol --+
                   |
            Protocol --+
                       |
            LineReceiver --+
                           |
                 HTTPChannel --+
                               |
                              ReverseProxy

Implements a simple reverse proxy.

For details of usage, see the file examples/proxy.py

Method Summary
| `__init__(self)` (inherited from `HTTPChannel`)
| `allContentReceived(self)` (inherited from `HTTPChannel`)
| `allHeadersReceived(self)` (inherited from `HTTPChannel`)
| ``checkPersistence`(self, request, version)` Check if the channel should close or not. (inherited from `HTTPChannel`)
| ``connectionFailed`(self)` (Deprecated) (inherited from `Protocol`)
| ``connectionLost`(self, reason)` Called when the connection is shut down. (inherited from `HTTPChannel`)
| ``dataReceived`(self, data)` Protocol.dataReceived. (inherited from `LineReceiver`)
| ``headerReceived`(self, line)` Do pre-processing (for content-length) and store this header away. (inherited from `HTTPChannel`)
| ``lineLengthExceeded`(self, line)` Called when the maximum line length has been reached. (inherited from `LineReceiver`)
| ``lineReceived`(self, line)` Override this for when each line is received. (inherited from `HTTPChannel`)
| ``rawDataReceived`(self, data)` Override this for when raw data is received. (inherited from `HTTPChannel`)
| ``requestDone`(self, request)` Called by first request in queue when it is done. (inherited from `HTTPChannel`)
| ``sendLine`(self, line)` Sends a line to the other end of the connection. (inherited from `LineReceiver`)
| ``setLineMode`(self, extra)` Sets the line-mode of this receiver. (inherited from `LineReceiver`)
| ``setRawMode`(self)` Sets the raw mode of this receiver. (inherited from `LineReceiver`)

Class Variable Summary
`class` | `ReverseProxyRequest`

Class Variable Details

### ReverseProxyRequest

`ReverseProxyRequest` = `twisted.web.proxy.ReverseProxyRequest`

Generated by Epydoc 1.1 on Thu May 8 13:16:58 2003 | http://epydoc.sf.net